import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRPowerSourceClusterWiredFaultChangeEvent extends _NSObject {
    static alloc(): _MTRPowerSourceClusterWiredFaultChangeEvent;
    static new(): _MTRPowerSourceClusterWiredFaultChangeEvent;
    init(): _MTRPowerSourceClusterWiredFaultChangeEvent;
    current(): _NSArray;
    setCurrent$(value: _NSArray): void;
    previous(): _NSArray;
    setPrevious$(value: _NSArray): void;
}
export interface _MTRPowerSourceClusterWiredFaultChangeEvent extends _NSCopying {
}
